using Foundation;
using MLEM.Misc;
using TouchyTickets;
using UIKit;

namespace iOS {
    [Register("AppDelegate")]
    internal class Program : UIApplicationDelegate {

        private static GameImpl game;

        private static void RunGame() {
            TextInputWrapper.Current = new TextInputWrapper.Mobile();
            game = new GameImpl(new IosPlatform());
            game.Run();
        }

        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        private static void Main(string[] args) {
            UIApplication.Main(args, null, "AppDelegate");
        }

        public override void FinishedLaunching(UIApplication app) {
            RunGame();
        }

    }
}